/* GLOBAL */
body:not(.block-editor-page) {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    font-family: var(--wp--preset--font-family--manrope);
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0;
}

hr {
    border-top: 1px solid !important;
    opacity: 1;
}

p>a:hover {
    text-decoration: underline;
}

a {
    color: unset;
    text-decoration: none;
}

.h-100 img,
.w-100 img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.vh-85 {
    height: 85vh;
}

@media (max-width: 767px) {
  .wp-block-query .wp-block-post-template {
    grid-template-columns: 1fr !important;
  }
}

/* HEADER */
header .has-black-background-color nav .wp-block-navigation__responsive-container-open.always-shown,
header.wp-block-template-part .has-mushroom-background-color nav .wp-block-navigation__responsive-container-open.always-shown,
header.wp-block-template-part .has-sand-background-color nav .wp-block-navigation__responsive-container-open.always-shown {
    padding: 20px;
    background-color: var(--wp--preset--color--beige);
}

header.wp-block-template-part .has-beige-background-color nav .wp-block-navigation__responsive-container-open.always-shown {
    padding: 20px;
    color: var(--wp--preset--color--sand);
    background-color: var(--wp--preset--color--black);
}

/* MOBILE MENU */
header .wp-block-navigation__responsive-container {
    padding-right: 1rem!important;
    padding-left: 1rem!important;
}

header .wp-block-navigation__responsive-close,
header .wp-block-navigation__responsive-dialog,
header .wp-block-navigation__responsive-container-content,
header .wp-block-navigation__container {
    height: 100%;
}

header .wp-block-navigation__container {
    width: 100%;
    justify-content: center;
}

header .wp-block-navigation__responsive-container.is-menu-open {
    flex-wrap: wrap;
    align-items: stretch;
}

header .wp-block-navigation__container {
    /* padding-top: 25px; */
    flex-wrap: nowrap;
    justify-content: center!important;
}

header .wp-block-navigation__container li:has(.wp-block-site-logo) {
    position: absolute;
    top: 36px;
    left: 0;
}

header .wp-block-navigation__container li:not(:has(.wp-block-site-logo)) {
    display: block!important;
    height: auto!important;
}

header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open .wp-block-navigation__responsive-container-close {
    position: absolute;
    top: 25px;
    right: 0;
    padding: 20px;
    background-color: var(--wp--preset--color--black);
}

@media screen and (min-width: 768px) {
    header .wp-block-navigation__container .wp-block-site-logo img, header .header-site-logo-img img {
        display: block;
    }

    header .wp-block-navigation__responsive-container {
    padding-right: 1.5rem!important;
    padding-left: 1.5rem!important;
}
}

header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open .wp-block-navigation__responsive-container-close svg {
    color: var(--wp--preset--color--beige);
}

header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open .wp-block-navigation__responsive-container-content {
    padding-top: 0 !important;
}

header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open ul li:has(.wp-block-site-logo) {
    padding-bottom: 1rem;
    padding-right: 5rem;
    align-self: flex-start;
}

header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open ul li:has(.wp-block-social-links) {
    position: absolute;
    bottom: 0;
    align-self: flex-start;
}

header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open ul li:has(.wp-block-site-logo) a {
    padding: 0;
}

header .wp-block-navigation__responsive-container ul li a {
    position: relative;
    display: inline-block;
}

header .wp-block-navigation__responsive-container .wp-block-navigation-link {
    height: 100%;
    text-align: center;
}

header .wp-block-navigation__responsive-container .wp-block-navigation-link a::after,
footer .wp-block-navigation__container .wp-block-navigation-link a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 1px;
    background-color: currentColor;
    transition: width 0.3s ease;
    pointer-events: none;
}

header .wp-block-navigation__responsive-container .wp-block-navigation-link a:hover::after,
footer .wp-block-navigation__container .wp-block-navigation-link a:hover::after {
    width: 100%;
}

header .wp-block-social-links .wp-social-link svg {
    height: 1.5em;
    width: 1.5em;
}


/* BLOCKS */
/* Social Links */
.wp-block-social-link-label {
    font-family: var(--wp--preset--font-family--manrope);
}

/* Headings */
/* Bulleted */
.is-style-bulleted {
    display: flex !important;
    align-items: center;
    text-transform: uppercase;
    font-size: var(--wp--preset--font-size--xs);
}

.is-style-bulleted::before {
    content: '';
    display: inline-block;
    width: 8px;
    height: 8px;
    padding-right: 1rem;
    background-color: currentColor;
    mask-repeat: no-repeat !important;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3E%3Ccircle id='Ellipse_3' data-name='Ellipse 3' cx='4' cy='4' r='4' fill='%23161616'/%3E%3C/svg%3E%0A");
}

/* Buttons */
/* Query loop custom filter buttons */
.parent-term-toggle {
    display: inline-flex;
    align-items: center;
    padding: 0 0 0.2rem 0;
    background-color: transparent;
    border: none;
    border-radius: 0;
    font-size: var(--wp--preset--font-size--s);
    text-decoration: none;
    text-transform: capitalize;
    transition: transform 0.3s ease-in-out, color 0.3s ease-in-out;
}

.parent-term-toggle::before {
    content: '';
    display: inline-block;
    width: 22px;
    height: 22px;
    margin-right: 1rem;
    background-color: currentColor;
    mask-repeat: no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='22.43' height='22.43' viewBox='0 0 22.43 22.43'%3E%3Cpath id='Path_9663' data-name='Path 9663' d='M77.206,101.563l-1.878-1.878,18.2-18.2H83.749l.03-2.355H97.758V93.113l-2.355.03V83.366Z' transform='translate(-75.328 -79.134)'/%3E%3C/svg%3E%0A");
    transition: transform 0.3s ease-in-out;
    mask-position: center;
    mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    -webkit-mask-size: contain;
    flex-shrink: 0;
}

.parent-term-toggle.is-expanded::before {
    transform: rotate(45deg);
}


/* Blank */
.is-style-blank .wp-block-button__link {
    background-color: transparent;
    border: none;
    border-radius: 0;
    padding: 0 0 0.2rem 0;
    font-size: var(--wp--preset--font-size--s);
    white-space: nowrap;
}

/* Underline with Arrow Button */
.is-style-diagonal-arrow {
    display: flex !important;
}

.is-style-diagonal-arrow .wp-block-button__link {
    display: inline-flex;
    align-items: center;
    padding: 0 0 0.2rem 0;
    background-color: transparent;
    border: none;
    border-radius: 0;
    font-size: var(--wp--preset--font-size--s);
    text-decoration: none;
    text-transform: capitalize;
    background-image: linear-gradient(currentColor, currentColor);
    background-repeat: no-repeat;
    background-position: calc(63px + 1rem) 100%;
    background-size: calc(100% - 63px - 1rem) 1px;
    transition: none;
    white-space: nowrap;
}

@keyframes underline-reveal {
    0% {
        background-size: 0% 1px;
    }
    100% {
        background-size: calc(100% - 63px - 1rem) 1px;
    }
}

.is-style-diagonal-arrow .wp-block-button__link:hover {
    animation: underline-reveal 0.4s ease-in-out forwards;
}


.is-style-diagonal-arrow .wp-block-button__link::before {
    content: '';
    display: inline-block;
    width: 63px;
    height: 63px;
    margin-right: 1rem;
    margin-bottom: -6px;
    background-color: currentColor;
    mask-repeat: no-repeat !important;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='63.072' height='63.191' viewBox='0 0 63.072 63.191'%3E%3Cdefs%3E%3CclipPath id='clip-path'%3E%3Crect id='Rectangle_13' data-name='Rectangle 13' width='63.072' height='63.072' fill='%23f5efe6' stroke='%23f5efe6' stroke-width='1'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg id='Group_78' data-name='Group 78' transform='translate(-968.5 -4793)'%3E%3Cg id='Rectangle_12' data-name='Rectangle 12' transform='translate(969.036 4793)' fill='none' stroke='%23f5efe6' stroke-width='1.5'%3E%3Crect width='60' height='60' rx='7' stroke='none'/%3E%3Crect x='0.75' y='0.75' width='58.5' height='58.5' rx='6.25' fill='none'/%3E%3C/g%3E%3Cg id='Group_4' data-name='Group 4' transform='translate(968.5 4793.12)' clip-path='url(%23clip-path)'%3E%3Cpath id='Path_12' data-name='Path 12' d='M77.206,101.563l-1.878-1.878,18.2-18.2H83.749l.03-2.355H97.758V93.113l-2.355.03V83.366Z' transform='translate(-56.744 -59.61)' fill='%23f5efe6' stroke='%23f5efe6' stroke-width='1'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
}


/* Right Arrow Button */
.is-style-right-arrow {
    display: flex !important;
    align-items: center;
    font-size: var(--wp--preset--font-size--s);
}

.is-style-right-arrow .wp-block-button__link {
    display: inline-flex;
    align-items: center;
    padding: 0 0 0.2rem 0;
    background-color: transparent;
    border: none;
    border-radius: 0;
    font-size: var(--wp--preset--font-size--s);
    text-decoration: none;
    background-image: linear-gradient(currentColor, currentColor);
    background-repeat: no-repeat;
    background-position: 0 100%;
    background-size: calc(100% - 63px - 1rem) 1px;
    transition: none;
}

.is-style-right-arrow .wp-block-button__link:hover {
    animation: underline-reveal 0.4s ease-in-out forwards;
}

.is-style-right-arrow .wp-block-button__link::after {
    content: '';
    display: inline-block;
    width: 63px;
    height: 63px;
    margin-left: 1rem;
    margin-bottom: -6px;
    background-color: currentColor;
    mask-repeat: no-repeat !important;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='63.072' height='63.191' viewBox='0 0 63.072 63.191'%3E%3Cdefs%3E%3CclipPath id='clip-path'%3E%3Crect id='Rectangle_13' data-name='Rectangle 13' width='63.072' height='63.072' fill='none'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg id='Group_6' data-name='Group 6' transform='translate(-1387.464 -3805)'%3E%3Cg id='Rectangle_12' data-name='Rectangle 12' transform='translate(1388 3805)' fill='none' stroke='%23000' stroke-width='1.5'%3E%3Crect width='60' height='60' rx='7' stroke='none'/%3E%3Crect x='0.75' y='0.75' width='58.5' height='58.5' rx='6.25' fill='none'/%3E%3C/g%3E%3Cg id='Group_5' data-name='Group 5' transform='translate(1387.464 3805.12)'%3E%3Cg id='Group_4' data-name='Group 4' clip-path='url(%23clip-path)'%3E%3Cpath id='Path_12' data-name='Path 12' d='M77.206,101.563l-1.878-1.878,18.2-18.2H83.749l.03-2.355H97.758V93.113l-2.355.03V83.366Z' transform='translate(32.49 -94.343) rotate(45)' fill='%23161615'/%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
}

/* Hover Reveals Arrow Button */
.is-style-hover-reveals-arrow .wp-block-button__link {
    padding: 0;
    background-color: transparent;
    border-radius: 0;
    display: inline-flex;
    align-items: center;
    gap: 0.5em;
    color: inherit;
    text-decoration: none;
    transition: color 0.3s ease;
}

.is-style-hover-reveals-arrow .wp-block-button__link::before {
    content: "";
    display: inline-block;
    width: 0;
    height: 22px;
    overflow: hidden;
    background-color: currentColor;
    background-size: contain;
    background-repeat: no-repeat;
    transition: width 0.3s ease, opacity 0.3s ease;
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='22.43' height='22.43' viewBox='0 0 22.43 22.43'%3E%3Cpath id='Path_9661' data-name='Path 9661' d='M77.206,101.563l-1.878-1.878,18.2-18.2H83.749l.03-2.355H97.758V93.113l-2.355.03V83.366Z' transform='translate(-75.328 -79.134)' fill='%23f5efe6'/%3E%3C/svg%3E%0A");
    mask-repeat: no-repeat;
    mask-size: contain;
    opacity: 0;
    margin-left: -22px;
}

.is-style-hover-reveals-arrow .wp-block-button__link:hover::before {
    width: 22px;
    opacity: 1;
}

/* Images */
@media (hover: hover) and (pointer: fine) {

    /* The floating label */
    .cursor-label {
        display: flex;
        align-items: center;
        flex-wrap: nowrap;
        position: fixed;
        top: 0;
        left: 0;
        pointer-events: none;
        padding: 12px 10px;
        background-color: var(--wp--preset--color--black);
        color: var(--wp--preset--color--beige);
        font-family: var(--wp--preset--font-family--manrope);
        font-size: 18px;
        text-transform: uppercase;
        transform-origin: left center;
        transform: scaleX(0);
        transition: transform 0.25s ease;
        z-index: 9999;
        white-space: nowrap;
        opacity: 1;
    }


    .cursor-label::before {
        content: "";
        width: 8px;
        height: 8px;
        display: inline-block;
        align-self: center;
        margin-right: 1rem;
        background-repeat: no-repeat;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3E%3Ccircle id='Ellipse_2' data-name='Ellipse 2' cx='4' cy='4' r='4' fill='%23f4ebe0'/%3E%3C/svg%3E%0A");
    }
}

/*Parallax*/
/* Only target image blocks with the style variation */
.is-style-parallax-zoom {
    overflow: hidden;
}

.is-style-parallax-zoom img {
    display: block;
    width: 100%;
    transition: transform 0.1s linear;
    will-change: transform;
}

/* Responsive Banner */
.is-style-responsive-banner img {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 5 / 4;
}

@media screen and (min-width: 768px) {
    .is-style-responsive-banner img {
        width: 100%;
        object-fit: cover;
        aspect-ratio: 3 / 1;
    }
}

/* TEMPLATES */
.project-query-loop-content {
    position: relative;
}

.project-query-loop-text {
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
    width: 100%;
    padding: 1rem;
    position: absolute;
    bottom: 0;
    pointer-events: none;
}

.project-query-loop-content:hover .project-query-loop-text {
    opacity: 1;
    visibility: visible;
}

@media (max-width: 767px) {
    .project-query-loop-text {
        opacity: 1;
        visibility: visible;
    }
}

.project-query-loop-text::after {
    display: block;
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    height: 10rem;
    background: linear-gradient(0deg,rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0) 100%);
}

/* PLUGINS */
/*Query Loop Custom Filter*/
.projects-category-filters h3 {
    font-size: var(--wp--preset--font-size--s);
}

.projects-category-filters a {
    position: relative;
}

.projects-category-filters a {
    font-size: var(--wp--preset--font-size--xs);
}

/* .projects-category-filters a:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 1px;
    background-color: currentColor;
    transition: width 0.3s ease;
    pointer-events: none;
}

.projects-category-filters a:hover:after, .project-category-child-term a.is-active:after {
    width: 100%;
} */

/* gform */
.gform_body input,
.gform_body textarea {
    padding: 0 !important;
    font-family: var(--wp--preset--font-family--manrope) !important;
    font-size: var(--wp--preset--font-size--xs) !important;
    color: var(--wp--preset--color--beige) !important;
    border-radius: 0 !important;
    box-shadow: none !important;
    border-top: 0 !important;
    border-left: 0 !important;
    border-right: 0 !important;
    border-bottom: 1px solid var(--wp--preset--color--beige) !important;
    background-color: transparent !important;
}

.gform_body label {
    padding: 0 !important;
    font-family: var(--wp--preset--font-family--manrope) !important;
    font-size: var(--wp--preset--font-size--xs) !important;
    color: var(--wp--preset--color--beige) !important;
    border-radius: 0 !important;
    box-shadow: none !important;
    border-top: 0 !important;
    border-left: 0 !important;
    border-right: 0 !important;
    background-color: transparent !important;
}

.gform_body input:focus,
.gform_body textarea:focus {
    outline: none !important;
    border-top: 0 !important;
    border-left: 0 !important;
    border-right: 0 !important;
    border-bottom: 1px solid var(--wp--preset--color--beige) !important;
}

.gform-footer {
    margin-top: 2rem !important;
    justify-content: flex-end !important;
}

.gform-footer::before {
    content: "";
    width: 63px;
    height: 63px;
    margin: 0 1rem;
    color: var(--wp--preset--color--beige);
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='63.072' height='63.192' viewBox='0 0 63.072 63.192'%3E%3Cdefs%3E%3CclipPath id='clip-path'%3E%3Crect id='Rectangle_13' data-name='Rectangle 13' width='63.072' height='63.072' fill='%23f5efe6' stroke='%23f5efe6' stroke-width='1'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg id='Group_86' data-name='Group 86' transform='translate(-1609.563 -981)'%3E%3Cg id='Rectangle_35' data-name='Rectangle 35' transform='translate(1610.098 981)' fill='none' stroke='%23f5efe6' stroke-width='1.5'%3E%3Crect width='60' height='60' rx='7' stroke='none'/%3E%3Crect x='0.75' y='0.75' width='58.5' height='58.5' rx='6.25' fill='none'/%3E%3C/g%3E%3Cg id='Group_83' data-name='Group 83' transform='translate(1609.563 981.12)'%3E%3Cg id='Group_4' data-name='Group 4' clip-path='url(%23clip-path)'%3E%3Cpath id='Path_12' data-name='Path 12' d='M77.206,101.563l-1.878-1.878,18.2-18.2H83.749l.03-2.355H97.758V93.113l-2.355.03V83.366Z' transform='translate(-56.744 -59.61)' fill='%23f5efe6' stroke='%23f5efe6' stroke-width='1'/%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
}

input[type="submit"] {
    border-radius: 0 !important;
    padding: 0 !important;
    box-shadow: none !important;
    background-color: transparent !important;
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    border-bottom: 1px solid var(--wp--preset--color--beige) !important;
    color: var(--wp--preset--color--beige) !important;
    font-family: var(--wp--preset--font-family--manrope) !important;
    font-size: var(--wp--preset--font-size--s) !important;
}

input[type="submit"]:focus {
    outline: none !important;
    border: none !important;
    color: var(--wp--preset--color--beige) !important;
}

#gfield_upload_rules_1_7 {
    color: var(--wp--preset--color--beige) !important;
    font-size: var(--wp--preset--font-size--xs) !important;
}